#ifndef __PEOPLE_H__
#define __PEOPLE_H__

#include <vector>
#include <string>
#include <iostream>
using namespace std;

#include "person.h"

class people {
    vector<person *> persons;
public:

    ~people();

    unsigned int size();
    bool contains(string);
    void add_person(string, string);
    void food_update(unsigned int, string);

    void connect(unsigned int, unsigned int);
    void unfriend(unsigned int, unsigned int);
    person * operator[](unsigned int);

    friend ostream & operator<<(ostream &, people &);
};

#endif
